import {select,scaleOrdinal, scaleSqrt, scaleLinear} from 'd3';
import {colorLegend} from './colorLegend';
import {sizeLegend} from './sizeLegend';

const svg = select('svg');



const colorScale = scaleOrdinal()
.domain(['apple', 'lemon', 'lime', 'orange'])
.range(['#c11d1d', '#eae600', 'lime', 'orange'])



svg.append('g')
.attr('transform',`translate(100,150)`)
.call(colorLegend,{
  colorScale,  
  circleRadius: 30,
  spacing: 80,
  textOffset: 60
});



const sizeScale = scaleSqrt()
.domain([0,10])
.range([0,50])



svg.append('g')
.attr('transform',`translate(600,100)`)
.call(sizeLegend,{
  sizeScale,  
  spacing: 92,
  textOffset: 20,
  numTicks: 5,
  circleFill: '#4682b4aa'
});

